package com.googlecode.wicketcharts.highcharts.options;

import java.awt.Color;
import java.util.List;

public class ChartOptions extends JsonObject {

	private String renderTo;

	private Boolean animation;

	private Color backgroundColor;

	private Integer height;
	
	private String className;
	
	private Boolean alignTicks;
	
	private Color borderColor;
	
	private Integer borderRadius;
	
	private Integer borderWidth;
	
	private SeriesType type;
	
	private SeriesType defaultSeriesType;
	
	private Boolean ignoreHiddenSeries;
	
	private Boolean inverted;
	
	private List<Integer> margin;
	
	private Integer maginTop;
	
	private Integer marginRight;
	
	private Integer marginBottom;
	
	private Integer marginLeft;
	
	private Color plotBackgroundColor;
	
	private String plotBackgroundImage;
	
	private Color plotBorderColor;
	
	private Integer plotBorderWidth;
	
	private Boolean plotShadow;
	
	private Boolean reflow;
	
	private Boolean shadow;
	
	private Boolean showAxes;
	
	private Integer spacingTop;
	
	private Integer spacingRight;
	
	private Integer spacingBottom;
	
	private Integer spacingLeft;
	
	private Integer width;
	
	private ZoomType zoomType;
	
	
	
	public Boolean getAlignTicks() {
		return alignTicks;
	}

	public void setAlignTicks(Boolean alignTicks) {
		this.alignTicks = alignTicks;
	}

	public Color getBorderColor() {
		return borderColor;
	}

	public void setBorderColor(Color borderColor) {
		this.borderColor = borderColor;
	}

	public Integer getBorderRadius() {
		return borderRadius;
	}

	public void setBorderRadius(Integer borderRadius) {
		this.borderRadius = borderRadius;
	}

	public Integer getBorderWidth() {
		return borderWidth;
	}

	public void setBorderWidth(Integer borderWidth) {
		this.borderWidth = borderWidth;
	}

	public SeriesType getType() {
		return type;
	}

	public void setType(SeriesType type) {
		this.type = type;
	}

	public SeriesType getDefaultSeriesType() {
		return defaultSeriesType;
	}

	public void setDefaultSeriesType(SeriesType defaultSeriesType) {
		this.defaultSeriesType = defaultSeriesType;
	}

	public Boolean getIgnoreHiddenSeries() {
		return ignoreHiddenSeries;
	}

	public void setIgnoreHiddenSeries(Boolean ignoreHiddenSeries) {
		this.ignoreHiddenSeries = ignoreHiddenSeries;
	}

	public Boolean getInverted() {
		return inverted;
	}

	public void setInverted(Boolean inverted) {
		this.inverted = inverted;
	}

	public List<Integer> getMargin() {
		return margin;
	}

	public void setMargin(List<Integer> margin) {
		this.margin = margin;
	}

	public Integer getMaginTop() {
		return maginTop;
	}

	public void setMaginTop(Integer maginTop) {
		this.maginTop = maginTop;
	}

	public Integer getMarginRight() {
		return marginRight;
	}

	public void setMarginRight(Integer marginRight) {
		this.marginRight = marginRight;
	}

	public Integer getMarginBottom() {
		return marginBottom;
	}

	public void setMarginBottom(Integer marginBottom) {
		this.marginBottom = marginBottom;
	}

	public Integer getMarginLeft() {
		return marginLeft;
	}

	public void setMarginLeft(Integer marginLeft) {
		this.marginLeft = marginLeft;
	}

	public Color getPlotBackgroundColor() {
		return plotBackgroundColor;
	}

	public void setPlotBackgroundColor(Color plotBackgroundColor) {
		this.plotBackgroundColor = plotBackgroundColor;
	}

	public String getPlotBackgroundImage() {
		return plotBackgroundImage;
	}

	public void setPlotBackgroundImage(String plotBackgroundImage) {
		this.plotBackgroundImage = plotBackgroundImage;
	}

	public Color getPlotBorderColor() {
		return plotBorderColor;
	}

	public void setPlotBorderColor(Color plotBorderColor) {
		this.plotBorderColor = plotBorderColor;
	}

	public Integer getPlotBorderWidth() {
		return plotBorderWidth;
	}

	public void setPlotBorderWidth(Integer plotBorderWidth) {
		this.plotBorderWidth = plotBorderWidth;
	}

	public Boolean getPlotShadow() {
		return plotShadow;
	}

	public void setPlotShadow(Boolean plotShadow) {
		this.plotShadow = plotShadow;
	}

	public Boolean getReflow() {
		return reflow;
	}

	public void setReflow(Boolean reflow) {
		this.reflow = reflow;
	}

	public Boolean getShadow() {
		return shadow;
	}

	public void setShadow(Boolean shadow) {
		this.shadow = shadow;
	}

	public Boolean getShowAxes() {
		return showAxes;
	}

	public void setShowAxes(Boolean showAxes) {
		this.showAxes = showAxes;
	}

	public Integer getSpacingTop() {
		return spacingTop;
	}

	public void setSpacingTop(Integer spacingTop) {
		this.spacingTop = spacingTop;
	}

	public Integer getSpacingRight() {
		return spacingRight;
	}

	public void setSpacingRight(Integer spacingRight) {
		this.spacingRight = spacingRight;
	}

	public Integer getSpacingBottom() {
		return spacingBottom;
	}

	public void setSpacingBottom(Integer spacingBottom) {
		this.spacingBottom = spacingBottom;
	}

	public Integer getSpacingLeft() {
		return spacingLeft;
	}

	public void setSpacingLeft(Integer spacingLeft) {
		this.spacingLeft = spacingLeft;
	}

	public Integer getWidth() {
		return width;
	}

	public void setWidth(Integer width) {
		this.width = width;
	}

	public ZoomType getZoomType() {
		return zoomType;
	}

	public void setZoomType(ZoomType zoomType) {
		this.zoomType = zoomType;
	}

	public void setRenderTo(String renderTo) {
		this.renderTo = renderTo;
	}

	public String getRenderTo() {
		return renderTo;
	}

	public void setAnimation(Boolean animation) {
		this.animation = animation;
	}

	public Boolean getAnimation() {
		return animation;
	}

	public void setBackgroundColor(Color backgroundColor) {
		this.backgroundColor = backgroundColor;
	}

	public Color getBackgroundColor() {
		return backgroundColor;
	}

	public Integer getHeight() {
		return height;
	}

	public void setHeight(Integer height) {
		this.height = height;
	}

	public String getClassName() {
		return className;
	}

	public void setClassName(String className) {
		this.className = className;
	}

}
